Bug 720323 - Review Request: perl-Module-Runtime - Runtime module handling
Summary: Review Request: perl-Module-Runtime - Runtime module handling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 720327
TreeView+ depends on / blocked
 
Reported: 2011-07-11 11:51 UTC by Petr Pisar
Modified: 2012-02-28 21:02 UTC (History)
2 users (show)

Fixed In Version: perl-Module-Runtime-0.008-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-17 00:55:56 UTC
mmaslano: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2011-07-11 11:51:43 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-Module-Runtime/perl-Module-Runtime.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Module-Runtime/perl-Module-Runtime-0.008-1.fc15.src.rpm
Description:
The functions exported by this module deal with runtime handling of Perl
modules, which are normally handled at compile time.


----
Notice for packager: Target to F16--14 due to perl-smartmatch.

Comment 1 Marcela Mašláňová 2011-07-20 12:01:57 UTC
- rpmlint OK
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
 http://koji.fedoraproject.org/koji/taskinfo?taskID=3214430
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -qp --provides rpmbuild/RPMS/noarch/perl-Module-Runtime-0.008-1.fc16.noarch.rpm 
perl(Module::Runtime) = 0.008
perl-Module-Runtime = 0.008-1.fc16

rpm -qp --requires rpmbuild/RPMS/noarch/perl-Module-Runtime-0.008-1.fc16.noarch.rpm 
perl(:MODULE_COMPAT_5.12.3)  
perl(Exporter)  
perl(Params::Classify) >= 0.000
perl(parent)  
perl(strict)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

APPROVED

Comment 2 Petr Pisar 2011-07-20 14:49:50 UTC
New Package SCM Request
=======================
Package Name: perl-Module-Runtime 
Short Description: Runtime module handling
Owners: ppisar mmaslano psabata
Branches: f14 f15
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2011-07-20 15:47:15 UTC
Git done (by process-git-requests).

Comment 4 Petr Pisar 2011-07-20 16:01:30 UTC
Thank you for the review and the repository.

Comment 5 Fedora Update System 2011-07-20 16:23:55 UTC
perl-Module-Runtime-0.008-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Module-Runtime-0.008-1.fc15

Comment 6 Fedora Update System 2011-07-20 16:26:45 UTC
perl-Module-Runtime-0.008-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Module-Runtime-0.008-1.fc14

Comment 7 Fedora Update System 2011-07-22 19:28:54 UTC
perl-Module-Runtime-0.008-1.fc14 has been pushed to the Fedora 14 testing repository.

Comment 8 Fedora Update System 2011-08-17 00:55:51 UTC
perl-Module-Runtime-0.008-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 9 Fedora Update System 2011-08-17 00:59:29 UTC
perl-Module-Runtime-0.008-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Petr Pisar 2012-02-07 15:04:29 UTC
Package Change Request
======================
Package Name: perl-Module-Runtime
New Branches: el5 el6
Owners: pghmcfc
InitialCC: perl-sig

Comment 11 Gwyn Ciesla 2012-02-07 15:13:26 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2012-02-08 15:24:15 UTC
perl-Module-Runtime-0.011-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Module-Runtime-0.011-3.el6

Comment 13 Fedora Update System 2012-02-12 20:29:09 UTC
perl-Module-Runtime-0.012-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Module-Runtime-0.012-1.el5

Comment 14 Fedora Update System 2012-02-28 21:00:31 UTC
perl-Module-Runtime-0.012-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 15 Fedora Update System 2012-02-28 21:02:33 UTC
perl-Module-Runtime-0.012-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.